@echo off

echo ----------------------------------

echo mihomo测试版核心更新工具-管理员权限

echo ----------------------------------
echo.
echo 提示:请在继续执行前确认已打开mihomo代理并正确连接任意节点,未打开代理将无法更新!
echo.

bin\gsudo cache on

cls

echo 正在建立data文件夹. . .

cd /d %~dp0

mkdir .\data

echo 正在下载. . .

bin\aria2c --connect-timeout=10 --all-proxy=http://127.0.0.1:10808 -s8 -x8 -k1M --allow-overwrite=true --check-certificate=false --dir=.\data --out=mihomo-windows-amd64.exe https://github.com/HXHGTS/mihomo-install/releases/latest/download/mihomo-windows-amd64-alpha.exe

echo 正在结束进程. . .

bin\gsudo schtasks.exe /End /tn "StartMihomoService"

bin\gsudo taskkill /f /im mihomo-windows-amd64.exe

TIMEOUT /NOBREAK /T 5

echo 正在备份文件. . .

mkdir .\bin\meta-backup

move /y .\bin\mihomo-windows-amd64.exe .\bin\meta-backup\mihomo-windows-amd64.exe

echo 正在复制文件. . .

copy /y .\data\mihomo-windows-amd64.exe .\bin\mihomo-windows-amd64.exe

echo 正在重启进程. . .

bin\gsudo schtasks.exe /Run /tn "StartMihomoService"

echo 正在清理. . .

rd /s /q .\data

cls

echo ----------------------------------

echo mihomo测试版核心更新工具-管理员权限

echo ----------------------------------

echo 刷新完成!请按任意键退出. . .

pause > nul